=== debian/changelog ===
libmurmurhash (1.3-2) unstable; urgency=medium

  * deactivate broken test.

 -- Fabian Klötzl <kloetzl@evolbio.mpg.de>  Tue, 12 Feb 2019 08:04:29 +0000

libmurmurhash (1.3-1) unstable; urgency=medium

  * Team upload.
  * d/libmumumhash-dev.links: add more manpages

 -- Fabian Klötzl <kloetzl@evolbio.mpg.de>  Mon, 11 Feb 2019 13:15:45 +0000

libmurmurhash (1.2-2) unstable; urgency=medium

  * Team upload.
  * Test-Depends: build-essential
  * Provide symbols file for libmurmurhash1

 -- Andreas Tille <tille@debian.org>  Fri, 08 Feb 2019 18:16:34 +0100

libmurmurhash (1.1-1) unstable; urgency=medium

  * Initial release (Closes: #921353)

 -- Fabian Klötzl <kloetzl@evolbio.mpg.de>  Fri, 01 Feb 2019 11:04:29 +0000
