## libmurmurhash 1.5

=== debian/changelog ===
libmurmurhash (1.5-3) unstable; urgency=medium

  * Fix watchfile to detect new versions on github (routine-update)
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Keep dh_missing happy by using installed manpage
  * Remove useless .la file to keep dh_missing happy

 -- Andreas Tille <tille@debian.org>  Sun, 22 Aug 2021 09:22:44 +0200

libmurmurhash (1.5-2) unstable; urgency=medium

  [ Matthias Klose ]
  * Team upload.
  * Fix linking of autopkg tests with ld --as-needed.
    Closes: #936088

  [ Andreas Tille ]
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Remove trailing whitespace in debian/changelog

 -- Andreas Tille <tille@debian.org>  Fri, 30 Aug 2019 08:09:00 +0200

libmurmurhash (1.5-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Mark the binary packages as Multi-Arch: same

  [ Fabian Klötzl ]
  * Update to upstream version 1.5
    This also includes a SONAME bump to 2

  [ Andreas Tille ]
  * Fix autopkgtest

 -- Fabian Klötzl <kloetzl@evolbio.mpg.de>  Tue, 09 Jul 2019 22:09:14 +0200
