=== debian/control ===
Source: libmurmurhash
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Fabian Klötzl <kloetzl@evolbio.mpg.de>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13),
               d-shlibs
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/libmurmurhash
Vcs-Git: https://salsa.debian.org/med-team/libmurmurhash.git
Homepage: https://github.com/kloetzl/libmurmurhash
Rules-Requires-Root: no

Package: libmurmurhash2
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Portable MurmurHash Implementation
 MurmurHash is one of the most commonly used non-cryptographic hash
 functions. This project bundles it into a shared library to avoid code
 duplication. Further it provides compatibility even for big-endian
 systems.
 .
 This package installs shared library files.

Package: libmurmurhash-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libmurmurhash2 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: libmurmurhash header files
 MurmurHash is one of the most commonly used non-cryptographic hash
 functions. This project bundles it into a shared library to avoid code
 duplication. Further it provides compatibility even for big-endian
 systems.
 .
 This package installs files needed for development.
