=== debian/watch ===
# alternatively to this template you might like to try
#   https://github.com/FedericoCeratto/debian-package-init/blob/master/deb_create_watch.py

version=4

# Uncomment to find new files on Github
#  - when using releases:
https://github.com/kloetzl/libmurmurhash/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
# Remark: frequently you can do s/#PREFIX#/v?/ since 'v' or nothing is quite common but there are other prefixes possible
