## libmurmurhash 1.6

=== debian/changelog ===
libmurmurhash (1.6-1) unstable; urgency=medium

  * Add myself to Uploaders
    Closes: #1059715
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  Remove field Section on binary package libmurmurhash2 that duplicates source.

 -- Andreas Tille <tille@debian.org>  Tue, 06 Feb 2024 09:01:58 +0100
