=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: libmurmurhash
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Fabian Klötzl <kloetzl@evolbio.mpg.de>
+Uploaders: Fabian Klötzl <kloetzl@evolbio.mpg.de>,
+           Andreas Tille <tille@debian.org>
 Section: libs
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                d-shlibs
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/libmurmurhash
 Vcs-Git: https://salsa.debian.org/med-team/libmurmurhash.git
 Homepage: https://github.com/kloetzl/libmurmurhash
@@ -14,7 +15,6 @@
 Package: libmurmurhash2
 Architecture: any
 Multi-Arch: same
-Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: Portable MurmurHash Implementation
